<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Multi precision toolbox for Scilab
 * Copyright (C) 2011 - Jonathan Blanchard
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry version="5.0-subset Scilab" xml:id="mps_transpose" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns5="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>


  <refnamediv>
    <refname>mps_transpose</refname>

    <refpurpose>Matrix transposition.</refpurpose>
  </refnamediv>


  <refsynopsisdiv>
    <title>Calling Sequence</title>

    <synopsis>mps_transpose( rop, op )
    rop = mps_transpose( op )</synopsis>

    <para>Overloaded usage:</para>
    <synopsis>rop = op'</synopsis>
  </refsynopsisdiv>


  <refsection>
    <title>Arguments</title>

    <variablelist>
      <varlistentry>
        <term>rop, op</term>

        <listitem>
          <para>Multi-precision matrix</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>


  <refsection>
    <title>Description</title>

    <para>Performs a matrix transposition.
    </para>

  </refsection>


  <refsection>
    <title>Usage notes</title>

    <para>It's currently unsafe to use the in-place transposition by calling
    mps_transpose() with the same argument for output and input.</para>
  </refsection>


  <refsection>
    <title>Examples</title>

    <programlisting role="example"><![CDATA[ 
// Standard usage.
A = [ 1 2 3;
      4 5 6;
      7 8 9 ]
mpsA = mps_init2(A,100)
rop = mps_trace(mpsA)


 ]]></programlisting>

  </refsection>


  <refsection role="see also">
<title>See Also</title>

    <simplelist type="inline">

      <member><link linkend="mps_mat_mul">mps_mat_mul</link></member>

    </simplelist>
  </refsection>

</refentry>
